import { getRichText } from './service';
Component({
  props: {
    componentData: {}
  },
  data: {
    richText: ''
  },

  async didMount() {
    const {
      componentData
    } = this.props;
    const {
      componentUUID
    } = componentData;
    await this.fetchRichValue(componentUUID);
  },

  methods: {
    async fetchRichValue(uuid) {
      const {
        abRichText
      } = await getRichText({
        componentUuid: uuid
      });
      this.setData({
        richText: abRichText
      });
    }

  }
});